#include <iostream>
#include <cmath>

using namespace std;

int main()
{
    int n;
    cin >> n;
    double zarade[n], porezi[n], budzet = 0, maxBudzet = 0, por = 0, maxpor = 0;
    for (int i = 0; i < n; i++){
        cin >> zarade[i] >> porezi[i];
    }

    for (int i = 1; i <= 10000; i++){
        for (int j = 0; j < n; j++){
            if((i * 0.01) <= porezi[j]){
                budzet += (((i + 1) * 0.0001) * zarade[j]) ;
            }
        }
        if(budzet > maxBudzet){
            maxBudzet = budzet;
        }
        budzet = 0;
    }
    cout << fixed << maxBudzet;
    return 0;
}